<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once '../../maincore.php';
require_once BASEDIR.'subheader.php';
require_once ADMIN.'navigation.php';

if (!checkrights("IP") || !defined("iAUTH")) fallback("../index.php");

opentable("Forum Polls Upgrade");

if (!isset($_POST['upgrade']) && !isset($_POST['drop_tables'])) {
	echo "<center><form name='upgrade_form' method='POST' action='".FUSION_SELF."'>
<input type='submit' name='upgrade' value='Upgrade' class='button'>
</form></center>";
}

if (isset($_POST['upgrade'])) {
	$result = dbquery("TRUNCATE TABLE ".$db_prefix."forum_polls");
	$result = dbquery("TRUNCATE TABLE ".$db_prefix."forum_poll_options");
	$result = dbquery("TRUNCATE TABLE ".$db_prefix."forum_poll_votes");
	echo "<div class='main-body'>";
	$result = dbquery("SELECT * FROM ".$db_prefix."forum_polls_old");
	$total_polls = dbrows($result);
	if ($total_polls != 0) {
		echo "<b>Polls to be converted:</b> $total_polls<br><br>\n";
		$converted = 0;
		while($data = dbarray($result)) {
			$error = 0; $progress = "";
			$result2 = dbquery("INSERT INTO ".$db_prefix."forum_polls (poll_id, thread_id, post_id,
				poll_question, poll_start, poll_end, poll_type, poll_status) VALUES (NULL, '".$data['thread_id']."',
				'".$data['post_id']."', '".$data['poll_titel']."', '".$data['poll_started']."', '".$data['poll_ended']."', '0', '1')"
			);
			$poll_id = mysql_insert_id();
			if ($result2) {
				$progress .= "<b>Converted Poll:</b> ".$data['poll_titel']."<br>\n";
				$x = 1;
				for($i = 1; $i <= 10; $i ++) {
					if ($data['poll_antwort'.$i] != "") {
						$result3 = dbquery("INSERT INTO ".$db_prefix."forum_poll_options (option_id, poll_id,
							option_order, option_text) VALUES (NULL, '$poll_id', '$x', '".$data['poll_antwort'.$i]."')"
						);
						if ($result3) {
							$progress .= "&nbsp;&nbsp;&nbsp;<b>Option:</b> ".$data['poll_antwort'.$i]."<br>\n";
						} else { $error = 1; echo "<BR>XXXXXX<BR>";}
						$x ++;
					}
				}
				$result4 = dbquery("SELECT * FROM ".$db_prefix."forum_votes_old WHERE poll_id = '".$data['poll_id']."'");
				if (dbrows($result4) != 0) {
					$y = 0;
					while($vdata = dbarray($result4)) {
						$result5 = dbquery("SELECT * FROM ".$db_prefix."forum_poll_options WHERE
							poll_id = '$poll_id' ORDER BY option_id ASC LIMIT ".($vdata['vote_opt'] - 1).",1"
						);
						if (dbrows($result5) != 0) {
							$odata = dbarray($result5);
							$result6 = dbquery("INSERT INTO ".$db_prefix."forum_poll_votes (poll_id, user_id, vote_selection)
								VALUES ('$poll_id', '".$vdata['user_id']."', '".$odata['option_id']."')"
							);
							if ($result6) { $y ++; } else { $error = 1; echo "<BR>XXXXXXXXX<BR>";}
						}
					}
					$progress .= "&nbsp;&nbsp;&nbsp;<b>Votes:</b> $y<br><br><br>\n";
				}
			} else { $error = 1; echo "<BR>XXX<BR>"; }
			if ($error == 0) { echo $progress; $converted ++; }
			else { echo "<b><font color='red'>Error Converting Poll:</font></b> ".$data['poll_titel']."<br><br>"; }
		}
	}
	echo "$converted of $total_polls polls were converted.<br><br>\n";
	if ($converted == $total_polls && $error == 0) {
		echo "<center>You can now delete the old forum tables by clicking the button below.
<form name='upgrade_form' method='POST' action='".FUSION_SELF."'>
<input type='submit' name='drop_tables' value='Delete Tables' class='button'>
</form>
</center>";
	}
	echo "</div>";
} elseif (isset($_POST['drop_tables'])) {
	$result = dbquery("DROP TABLE ".$db_prefix."forum_polls_old");
	$result = dbquery("DROP TABLE ".$db_prefix."forum_votes_old");
	echo "<center>Upgrade is almost complete.<br><br>Now you must delete this file from your web server.</center>";
}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";

?>
