<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once '../../maincore.php';
require_once BASEDIR.'subheader.php';
require_once ADMIN.'navigation.php';

if (!checkrights("IP") || !defined("iAUTH") || $aid != iAUTH) fallback("../index.php");

if (file_exists(INFUSIONS."forum_polls/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_polls/locale/".$settings['locale'].".php";
} else { include INFUSIONS."forum_polls/locale/English.php"; }

echo "<script type='text/javascript' src='".INFUSIONS."forum_polls/forum_polls.js'></script>";

$forum_id = isset($_GET['forum_id']) && isNum($_GET['forum_id']) ? $_GET['forum_id'] : 0;
if (isset($_POST['reset']) && $forum_id != 0) {
	$fpm_result = dbquery("DELETE FROM ".$db_prefix."forum_poll_settings WHERE forum_id='$forum_id'");
}
$fpm_result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='$forum_id'");
if (dbrows($fpm_result) != 0) { $fpm_settings = dbarray($fpm_result); $fpm_settings['forum_exists'] = true; }
else { $fpm_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='0'")); }
$fpm = array();
if (isset($_POST['save_settings']) && !isset($_POST['reset'])) {
	$fpm['enable_polls'] = isset($_POST['enable_polls']) && $_POST['enable_polls'] == 1 ? 1 : 0;
	$fpm['same_voters'] = isset($_POST['same_voters']) ? 1 : 0;
	$fpm['same_creators'] = isset($_POST['same_creators']) ? 1 : 0;
	$temp_array = isset($_POST['create_groups']) ? explode(",", $_POST['create_groups']) : "";
	$temp_array2 = array();
	for($i = 0; $i < count($temp_array); $i ++) {
		if (isNum($temp_array[$i])) { $temp_array2[] = "G".$temp_array[$i]; }
	}
	$temp_array = isset($_POST['create_users']) ? explode(",", $_POST['create_users']) : "";
	for($i = 0; $i < count($temp_array); $i ++) {
		if (isNum($temp_array[$i])) { $temp_array2[] = $temp_array[$i]; }
	}
	$temp_array = isset($_POST['vote_groups']) ? explode(",", $_POST['vote_groups']) : "";
	$temp_array3 = array();
	for($i = 0; $i < count($temp_array); $i ++) {
		if (isNum($temp_array[$i])) { $temp_array3[] = "G".$temp_array[$i]; }
	}
	$temp_array = isset($_POST['vote_users']) ? explode(",", $_POST['vote_users']) : "";
	for($i = 0; $i < count($temp_array); $i ++) {
		if (isNum($temp_array[$i])) { $temp_array3[] = $temp_array[$i]; }
	}
	$create_array = $fpm['same_creators'] == 1 ? array_merge_recursive($temp_array2, $temp_array3) : $temp_array2;
	$vote_array = $fpm['same_voters'] == 1 ? array_merge_recursive($temp_array2, $temp_array3) : $temp_array3;
	sort($create_array); sort($vote_array);
	$fpm['create_permissions'] = implode(".", $create_array);
	$fpm['vote_permissions'] = implode(".", $vote_array);
	$fpm['guest_permissions'] = isset($_POST['guest_permissions']) && isNum($_POST['guest_permissions']) && $_POST['guest_permissions'] < 3 ? $_POST['guest_permissions'] : 0;
	$fpm['require_approval'] = isset($_POST['require_approval']) && $_POST['require_approval'] == 1 ? 1 : 0;
	$fpm['lock_threads'] = isset($_POST['lock_threads']) && $_POST['lock_threads'] == 1 ? 1 : 0;
	$fpm['option_max'] = isset($_POST['option_max']) && isNum($_POST['option_max']) ? $_POST['option_max'] : 10;
	$fpm['option_show'] = isset($_POST['option_show']) && isNum($_POST['option_show']) ? $_POST['option_show'] : 5;
	$fpm['option_increment'] = isset($_POST['option_increment']) && isNum($_POST['option_increment']) ? $_POST['option_increment'] : 5;
	$fpm['duration_min'] = isset($_POST['duration_min']) && isNum($_POST['duration_min']) && $_POST['duration_min'] >= 1 ? $_POST['duration_min'] : 1;
	$fpm['duration_max'] = isset($_POST['duration_max']) && isNum($_POST['duration_max']) ? $_POST['duration_max'] : 0;
	$fpm['hide_poll'] = isset($_POST['hide_poll']) && $_POST['hide_poll'] == 1 ? 1 : 0;
	if (isset($fpm_settings['forum_exists'])) {
		$fpm_result = dbquery("UPDATE ".$db_prefix."forum_poll_settings SET forum_id = '$forum_id',
			enable_polls = '".$fpm['enable_polls']."', create_permissions = '".$fpm['create_permissions']."',
			vote_permissions = '".$fpm['vote_permissions']."', guest_permissions = '".$fpm['guest_permissions']."',
			require_approval = '".$fpm['require_approval']."', lock_threads = '".$fpm['lock_threads']."',
			option_max = '".$fpm['option_max']."', option_show = '".$fpm['option_show']."',
			option_increment = '".$fpm['option_increment']."', duration_min = '".($fpm['duration_min'] * 86400)."',
			duration_max = '".($fpm['duration_max'] * 86400)."', hide_poll = '".$fpm['hide_poll']."' WHERE forum_id='$forum_id'"
		);
	} else {
		$fpm_result = dbquery("INSERT INTO ".$db_prefix."forum_poll_settings
			(forum_id, enable_polls, create_permissions, vote_permissions, guest_permissions, require_approval, lock_threads,
			option_max, option_show, option_increment, duration_min, duration_max, hide_poll) VALUES
			('$forum_id', '".$fpm['enable_polls']."', '".$fpm['create_permissions']."', '".$fpm['vote_permissions']."',
			'".$fpm['guest_permissions']."', '".$fpm['require_approval']."', '".$fpm['lock_threads']."',
			'".$fpm['option_max']."', '".$fpm['option_show']."', '".$fpm['option_increment']."', '".$fpm['duration_min']."',
			'".$fpm['duration_max']."', '".$fpm['hide_poll']."')"
		);
	}
	if ($fpm_result) { $saved_settings = true; }
} else {
	$fpm['enable_polls'] = $fpm_settings['enable_polls'];
	$fpm['create_permissions'] = $fpm_settings['create_permissions'];
	$fpm['vote_permissions'] = $fpm_settings['vote_permissions'];
	$fpm['same_voters'] = 0;
	$fpm['same_creators'] = 0;
	$fpm['guest_permissions'] = $fpm_settings['guest_permissions'];
	$fpm['require_approval'] = $fpm_settings['require_approval'];
	$fpm['lock_threads'] = $fpm_settings['lock_threads'];
	$fpm['option_max'] = $fpm_settings['option_max'];
	$fpm['option_show'] = $fpm_settings['option_show'];
	$fpm['option_increment'] = $fpm_settings['option_increment'];
	$fpm['duration_min'] = floor($fpm_settings['duration_min']/86400);
	$fpm['duration_max'] = floor($fpm_settings['duration_max']/86400);
	$fpm['hide_poll'] = $fpm_settings['hide_poll'];
}
opentable($locale['FPM_010']);

echo "<table width='500' align='center' cellspacing='0' cellpadding='0' class='tbl-border' width='100%' border='0'>
<tr>
<td>
<table align='center' cellspacing='1' cellpadding='0' width='100%' border='0'>
<tr>
<td class='tbl1'><span style='font-weight: bold; font-size: 110%;'>".$locale['FPM_021']."</span></td>
</tr>\n";

if ($forum_id == 0) {
	echo "<tr>
<td class='tbl1'>
<a name='1'></a>
<span style='font-weight: bold; font-size: 110%; line-height: 125%;'>
<a href='".INFUSIONS."forum_polls/forum_polls_admin.php".$aidlink."#1'>".$locale['FPM_022']."</a>
</span><br />".(isset($saved_settings) ? "<center>".$locale['FPM_024']."</center><br />\n" : "<br />\n");
	FPM_settings_form();
} else {
	echo "<tr>
<td class='tbl2'><a href='".INFUSIONS."forum_polls/forum_polls_admin.php".$aidlink."#1'>".$locale['FPM_022']."</a></td>
</tr>\n";
}

echo "</td>
</tr>
</table>
</td>
</tr>
</table>
<br />
<table width='500' align='center' cellspacing='0' cellpadding='0' class='tbl-border' width='100%' border='0'>
<tr>
<td>
<table align='center' cellspacing='1' cellpadding='0' width='100%' border='0'>
<tr>
<td class='tbl1'><span style='font-weight: bold; font-size: 110%;'>".$locale['FPM_023']."</span></td>
</tr>\n";

$result = dbquery("SELECT * FROM ".$db_prefix."forums WHERE forum_cat='0' ORDER BY forum_order");
if (dbrows($result) != 0) {
	$x = 2;
	while ($data = dbarray($result)) {
		$result2 = dbquery("SELECT * FROM ".$db_prefix."forums WHERE ".groupaccess('forum_access')." AND forum_cat='".$data['forum_id']."' ORDER BY forum_order");
		if (dbrows($result2) != 0) {
			echo "<tr>
<td class='forum-caption'>".$data['forum_name']."</td>
</tr>\n";
			while ($data2 = dbarray($result2)) {
				if ($forum_id == $data2['forum_id']) {
					$fpm['forum_posting'] = $data2['forum_posting'];
					echo "<tr>
<td class='tbl1'>
<a name='$x'></a><span style='font-weight: bold; font-size: 110%; line-height: 125%;'>
<a href='".INFUSIONS."forum_polls/forum_polls_admin.php".$aidlink."&forum_id=".$data2['forum_id']."#$x'>".$data2['forum_name']."</a>
</span>".(isset($saved_settings) ? "<center>".$locale['FPM_024']."</center>" : "")."<br /><br />\n";
					FPM_settings_form();
					echo "</td>\n</tr>\n";
	        	} else {
	        		echo "<tr>
<td class='tbl2'><a href='".INFUSIONS."forum_polls/forum_polls_admin.php".$aidlink."&forum_id=".$data2['forum_id']."#$x'>".$data2['forum_name']."</a></td>
</tr>\n";
	        	}
	        	$x ++;
	        }
		}
	}
}

echo "</table>
</td>
</tr>
</table>\n";

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";

function FPM_settings_form() {
	global $db_prefix, $locale, $aidlink, $forum_id, $fpm, $x;

	$fp_group_array = array(
		array(103, $locale['user3']),
		array(102, $locale['user2']),
		array(101, $locale['user1'])
	);
	$result = dbquery("SELECT * FROM ".$db_prefix."user_groups ORDER BY group_name");
	if (dbrows($result) != 0) {
		while ($fp_group_data = dbarray($result)) {
			$fp_group_array[] = array($fp_group_data['group_id'], $fp_group_data['group_name']);
		}
	}
	$create_group_1 = array(); $create_group_2 = array();
	while(list($key, $fp_group) = each($fp_group_array)){
		$group_id = $fp_group['0'];
		if (!preg_match("(^G{$group_id}$|^G{$group_id}\.|\.G{$group_id}\.|\.G{$group_id}$)", $fpm['create_permissions'])) {
			$create_group_1[] = array($fp_group['0'], $fp_group['1']);
		} else { $create_group_2[] = array($fp_group['0'], $fp_group['1']); }
		unset($group_id);
	}
	unset($fp_group);
	reset($fp_group_array);
	$vote_group_1 = array(); $vote_group_2 = array();
	while(list($key, $fp_group) = each($fp_group_array)){
		$group_id = $fp_group['0'];
		if (!preg_match("(^G{$group_id}$|^G{$group_id}\.|\.G{$group_id}\.|\.G{$group_id}$)", $fpm['vote_permissions'])) {
			$vote_group_1[] = array($fp_group['0'], $fp_group['1']);
		} else { $vote_group_2[] = array($fp_group['0'], $fp_group['1']); }
		unset($group_id);
	}
	$create_user_1 = array(); $create_user_2 = array();
	$result = dbquery("SELECT user_id,user_name FROM ".$db_prefix."users ORDER BY user_level DESC, user_name");
	while ($fp_user_data = dbarray($result)) {
		$fp_user_array[] = $fp_user_data;
		$user_id = $fp_user_data['user_id'];
		if (!preg_match("(^{$user_id}$|^{$user_id}\.|\.{$user_id}\.|\.{$user_id}$)", $fpm['create_permissions'])) {
			$create_user_1[] = array($fp_user_data['user_id'], $fp_user_data['user_name']);
		} else { $create_user_2[] = array($fp_user_data['user_id'], $fp_user_data['user_name']); }
		unset($user_id);
	}
	unset($fp_user_data);
	$vote_user_1 = array(); $vote_user_2 = array();
	while(list($key, $fp_user_data) = each($fp_user_array)){
		$user_id = $fp_user_data['user_id'];
		if (!preg_match("(^{$user_id}$|^{$user_id}\.|\.{$user_id}\.|\.{$user_id}$)", $fpm['vote_permissions'])) {
			$vote_user_1[] = array($fp_user_data['user_id'], $fp_user_data['user_name']);
		} else { $vote_user_2[] = array($fp_user_data['user_id'], $fp_user_data['user_name']); }
		unset($user_id);
	}
	if ($forum_id != 0 && count($create_group_2) == 0) {
		$create_group_2[] = array($fpm['forum_posting'], getgroupname($fpm['forum_posting']));
	}
	if ($forum_id != 0 && count($vote_group_2) == 0) {
		$vote_group_2[] = array($fpm['forum_posting'], getgroupname($fpm['forum_posting']));
	}
	echo "<form name='fp_settings_form' method='post' action='".FUSION_SELF.$aidlink.($forum_id != 0 ? "&forum_id=$forum_id#$x" : "")."'>
<table width='100%' align='center' cellspacing='0' cellpadding='0' width='100%' border='0'>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_025']."</td>
			<td class='tbl1'>
				<select name='enable_polls' class='textbox'>
					<option value='1'".($fpm['enable_polls'] == 1 ? " selected" : "").">".$locale['FPM_042']."</option>
					<option value='0'".($fpm['enable_polls'] == 0 ? " selected" : "").">".$locale['FPM_043']."</option>
				</select>
			</td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_026']."</td>
			<td class='tbl1'><a href='javascript:void(0)' onClick=\"fp_show('creation')\">".$locale['FPM_027']."</a></td>
		</tr>
		<tr style='display: none;' id='creation' class='tbl-border'>
			<td colspan='2' style='white-space: nowrap;' class='tbl1'>
<div style='position: relative; left: 18%;'>
Usergroups<br />
<select multiple size='15' name='grouplist1' id='grouplist1' class='textbox' style='width:150' onChange=\"addUser('grouplist2','grouplist1');\">\n";

	for ($i = 0; $i < count($create_group_1); $i ++) {
		echo "<option value='".$create_group_1[$i]['0']."'>".$create_group_1[$i]['1']."</option>\n";
	}

	echo "</select>
<select multiple size='15' name='grouplist2' id='grouplist2' class='textbox' style='width:150' onChange=\"addUser('grouplist1','grouplist2');\">\n";

	for ($i = 0; $i < count($create_group_2); $i ++) {
		echo "<option value='".$create_group_2[$i]['0']."'>".$create_group_2[$i]['1']."</option>\n";
	}

	echo "</select>
<br /><br />Users<br />
<select multiple size='15' name='userlist1' id='userlist1' class='textbox' style='width:150' onChange=\"addUser('userlist2','userlist1');\">\n";

	for ($i = 0; $i < count($create_user_1); $i ++) {
		echo "<option value='".$create_user_1[$i]['0']."'>".$create_user_1[$i]['1']."</option>\n";
	}

	echo "</select>
<select multiple size='15' name='userlist2' id='userlist2' class='textbox' style='width:150' onChange=\"addUser('userlist1','userlist2');\">\n";

	for ($i = 0; $i < count($create_user_2); $i ++) {
		echo "<option value='".$create_user_2[$i]['0']."'>".$create_user_2[$i]['1']."</option>\n";
	}

	echo "</select>
<br />
<input type='checkbox' name='same_voters' value='1' class='textbox'> ".$locale['FPM_029']."
			</div><hr /></td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'></td>
			<td class='tbl1'><a href='javascript:void(0)' onClick=\"fp_show('voting')\">".$locale['FPM_028']."</a></td>
		</tr>
		<tr style='display: none' id='voting'>
			<td colspan='2' style='white-space: nowrap;' class='tbl1'>
<div style='position: relative; left: 18%;'>
".$locale['FPM_044']."<br />
<select multiple size='15' name='grouplist3' id='grouplist3' class='textbox' style='width:150' onChange=\"addUser('grouplist4','grouplist3');\">\n";

	for ($i = 0; $i < count($vote_group_1); $i ++) {
		echo "<option value='".$vote_group_1[$i]['0']."'>".$vote_group_1[$i]['1']."</option>\n";
	}

	echo "</select>
<select multiple size='15' name='grouplist4' id='grouplist4' class='textbox' style='width:150' onChange=\"addUser('grouplist3','grouplist4');\">\n";

	for ($i = 0; $i < count($vote_group_2); $i ++) {
		echo "<option value='".$vote_group_2[$i]['0']."'>".$vote_group_2[$i]['1']."</option>\n";
	}

	echo "</select>
<br /><br />".$locale['FPM_045']."<br />
<select multiple size='15' name='userlist3' id='userlist3' class='textbox' style='width:150' onChange=\"addUser('userlist4','userlist3');\">\n";

	for ($i = 0; $i < count($vote_user_1); $i ++) {
		echo "<option value='".$vote_user_1[$i]['0']."'>".$vote_user_1[$i]['1']."</option>\n";
	}

	echo "</select>
<select multiple size='15' name='userlist4' id='userlist4' class='textbox' style='width:150' onChange=\"addUser('userlist3','userlist4');\">\n";

	for ($i = 0; $i < count($vote_user_2); $i ++) {
		echo "<option value='".$vote_user_2[$i]['0']."'>".$vote_user_2[$i]['1']."</option>\n";
	}

	echo "</select>
<br /><input type='checkbox' name='same_creators' value='1' class='textbox'> ".$locale['FPM_030']."
			</div><hr /></td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_046']."</td>
			<td class='tbl1'>
				<select name='guest_permissions' class='textbox'>
					<option value='0'".($fpm['guest_permissions'] == 0 ? " selected" : "").">".$locale['FPM_047']."</option>
					<option value='1'".($fpm['guest_permissions'] == 1 ? " selected" : "").">".$locale['FPM_048']."</option>
					<option value='2'".($fpm['guest_permissions'] == 2 ? " selected" : "").">".$locale['FPM_049']."</option>
				</select>
			</td>
		</tr>";

/* Implimenting this later
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_031']."</td>
			<td class='tbl1'>
				<select name='require_approval' class='textbox'>
					<option value='1'".($fpm['require_approval'] == 1 ? " selected" : "").">".$locale['FPM_042']."</option>
					<option value='0'".($fpm['require_approval'] == 0 ? " selected" : "").">".$locale['FPM_043']."</option>
				</select>
			</td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_032']."</td>
			<td class='tbl1'>
				<select name='lock_threads' class='textbox'>
					<option value='1'".($fpm['lock_threads'] == 1 ? " selected" : "").">".$locale['FPM_042']."</option>
					<option value='0'".($fpm['lock_threads'] == 0 ? " selected" : "").">".$locale['FPM_043']."</option>
				</select>
			</td>
		</tr>
*/
		
		echo "<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_033']."</td>
			<td class='tbl1'>
				<input type='text' name='option_max' value='".$fpm['option_max']."' maxlength='2' class='textbox' style='width:35px;'>
			</td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_034']."</td>
			<td class='tbl1'>
				<input type='text' name='option_show' value='".$fpm['option_show']."' maxlength='2' class='textbox' style='width:35px;'>
			</td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_035']."</td>
			<td class='tbl1'>
				<input type='text' name='option_increment' value='".$fpm['option_increment']."' maxlength='2' class='textbox' style='width:35px;'>
			</td>
		</tr>
		<tr>
			<td width='1%' class='tbl1'>".$locale['FPM_036']."</td>
			<td class='tbl1'>
				<input type='text' name='duration_min' value='".$fpm['duration_min']."' maxlength='2' class='textbox' style='width:35px;'>&nbsp;
				".$locale['FPM_041']."
			</td>
		</tr>
		<tr>
			<td width='1%' class='tbl1'>".$locale['FPM_037']."</td>
			<td class='tbl1'>
				<input type='text' name='duration_max' value='".$fpm['duration_max']."' maxlength='2' class='textbox' style='width:35px;'>&nbsp;
				".$locale['FPM_041']."
			</td>
		</tr>
		<tr>
			<td width='1%' style='white-space: nowrap;' class='tbl1'>".$locale['FPM_038']."</td>
			<td class='tbl1'>
				<select name='hide_poll' class='textbox'>
					<option value='1'".($fpm['hide_poll'] == 1 ? " selected" : "").">".$locale['FPM_042']."</option>
					<option value='0'".($fpm['hide_poll'] == 0 ? " selected" : "").">".$locale['FPM_043']."</option>
				</select>
			</td>
		</tr>
		<tr>
			<td colspan='2' align='center' class='tbl1'>
				<input type='hidden' name='create_groups'>
				<input type='hidden' name='create_users'>
				<input type='hidden' name='vote_groups'>
				<input type='hidden' name='vote_users'>
				<input type='hidden' name='save_settings'>
				".($forum_id != 0 ? "<input type='submit' name='reset' value='".$locale['FPM_039']."' class='button'>" : "")."&nbsp;
				<input type='button' name='save' value='".$locale['FPM_040']."' class='button' onclick='save_fp_settings();'>
			</td>
		</tr>
	</table>
</form>\n";
}

?>
