<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../../index.php"); exit; }

if (file_exists(INFUSIONS."forum_polls/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_polls/locale/".$settings['locale'].".php";
} else { include INFUSIONS."forum_polls/locale/English.php"; }

echo "<script type='text/javascript'>
function fpm_toggle_poll() {
	var poll_form = document.getElementById('poll_form');
	var poll_button = document.inputform.show_poll;
	if (poll_button.value == '".$locale['FPM_110']."') {
		poll_button.value = '".$locale['FPM_119']."';
		poll_form.style.display = '';
		document.getElementById('fpm_question').focus()
	} else {
		poll_button.value = '".$locale['FPM_110']."';
		poll_form.style.display = 'none';
		document.getElementById('fpm_question').value = '';
		document.getElementById('fpm_use_subject').checked = false;
		for(i = 1; i <= document.getElementById('fpm_option_show').value; i ++) {
			document.getElementById('fpm_option_' + i).value = '';
		}
		document.getElementById('fpm_duration').value = 0;
		document.inputform.message.focus()
	}
}
</script>";

$fpm = array(); $fpm_data = array();
$fpm_result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='$forum_id'");
if (dbrows($fpm_result) != 0) { $fpm_settings = dbarray($fpm_result); $fpm_settings['forum_exists'] = true; }
else { $fpm_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='0'")); }
if ($action == "edit") {
	$fpm_result = dbquery("SELECT * FROM ".$db_prefix."forum_polls WHERE thread_id='$thread_id'");
	if (dbrows($fpm_result) != 0) {
		$fpm_data = dbarray($fpm_result);
		$fpm['poll_id'] = $fpm_data['poll_id'];
		$total_votes = dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$fpm_data['poll_id']."'");
	} else { $total_votes = 0; }
	$fpm['reset_start'] = isset($_POST['fpm']['reset_start']) ? " checked" : "";
	$fpm['reset_votes'] = isset($_POST['fpm']['reset_votes']) ? " checked" : "";
	if (!defined('FPM_ACCESS') && (iMOD || iSUPERADMIN)) { define("FPM_ACCESS", true); }
	elseif (!defined('FPM_ACCESS') && $total_votes != 0) { define("FPM_ACCESS", false); }
}
if (!defined('FPM_ACCESS') && $fpm_settings['enable_polls'] == 1 && $fpm_settings['create_permissions'] != "") {
	$temp_array = explode(".", $fpm_settings['create_permissions']);
	for($i = 0; $i < count($temp_array); $i ++) {
		if (isNum($temp_array[$i])) {
			if ($userdata['user_id'] == $temp_array[$i]) { define("FPM_ACCESS", true); }
		} else {
			if (checkgroup(substr($temp_array[$i], 1))) { define("FPM_ACCESS", true); }
		}
	}
}
if (!defined('FPM_ACCESS')) { define("FPM_ACCESS", false); }
if (FPM_ACCESS) {
	if ($action == "reply") { $fpm['exists'] = dbcount("(poll_id)", "forum_polls", "thread_id='$thread_id'"); }
	else { $fpm['exists'] = 0; }
	$fpm['user_name'] = isset($fpm_data['user_name']) ? $fpm_data['user_name'] : $userdata['user_name'];
	$fpm['votes'] = isset($fpm_data['poll_id']) ? dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$fpm_data['poll_id']."'") : 0;
	$fpm['use_subject'] = isset($_POST['fpm']['use_subject']) ? 1 : 0;
	if ($fpm['use_subject'] == 1 && $subject != $locale['420']) {
		if ($subject == "" && $action == "reply") {
			$fpm_result = dbarray(dbquery("SELECT thread_subject FROM ".$db_prefix."threads WHERE thread_id='$thread_id'"));
			$fpm['question'] = $fpm_result['thread_subject'];
		} else { $fpm['question'] = trim(stripinput(censorwords($subject))); }
	} elseif (isset($_POST['fpm']['question'])) { $fpm['question'] = trim(stripinput(censorwords($_POST['fpm']['question']))); }
	else { $fpm['question'] = isset($fpm_data['poll_question']) ? $fpm_data['poll_question'] : ""; }
	$fpm['blank_options'] = 0;
	$fpm['add_options'] = isset($_POST['fpm']['add_options']) ? 1 : 0;
	if (isset($_POST['fpm']['option_show']) && isNum($_POST['fpm']['option_show'])) { $fpm['option_show'] = $_POST['fpm']['option_show']; }
	else { $fpm['option_show'] = $fpm_settings['option_show']; }
	if (isset($_POST['fpm']['add_options'])) {
		if (($fpm['option_show'] + $fpm_settings['option_increment']) <= $fpm_settings['option_max']) {
			$fpm['option_show'] = $fpm['option_show'] + $fpm_settings['option_increment'];
		} else { $fpm['option_show'] = $fpm_settings['option_max']; }
		$sticky_check = isset($_POST['sticky']) ? " checked" : "";
		$sig_checked = isset($_POST['show_sig']) ? " checked" : "";
		$del_check = isset($_POST['delete']) ? " checked" : "";
		$del_attach_check = isset($_POST['delete_attach']) ? " checked" : "";
		$disable_smileys_check = isset($_POST['disable_smileys']) ? " checked" : "";
		$subject = trim(stripinput(censorwords($_POST['subject'])));
		$message = trim(stripinput(censorwords($_POST['message'])));
	}
	if (isset($_POST['fpm'])) {
		for($i = 1; $i <= $fpm['option_show']; $i ++) {
			$fpm['option'][$i] = isset($_POST['fpm']['option'][$i]) ? trim(stripinput(censorwords($_POST['fpm']['option'][$i]))) : "";
			if ($fpm['option'][$i] == "") { $fpm['blank_options'] ++; }
		}
	} elseif (isset($fpm_data['poll_id'])) {
		$fpm_result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_options WHERE poll_id='".$fpm_data['poll_id']."' ORDER BY option_order");
		$i = 1;
		while($fpm_options = dbarray($fpm_result)) { $fpm['option'][$i] = $fpm_options['option_text']; $i ++; }
		if ($i <= $fpm['option_show']) {
			while ($i <= $fpm['option_show']) { $fpm['option'][$i] = ""; $i ++; }
		} else { $fpm['option_show'] = $i - 1; }
	} else {
		for($i = 1; $i <= $fpm['option_show']; $i ++) { $fpm['option'][$i] = ""; $fpm['blank_options'] ++; }
	}
	if (isset($_POST['fpm']['duration']) && isNum($_POST['fpm']['duration'])) {
		if ($_POST['fpm']['duration'] == 0 && $fpm_settings['duration_max'] == 0) { $fpm['duration'] = 0; }
		elseif (($_POST['fpm']['duration'] * 86400) > $fpm_settings['duration_max'] && $fpm_settings['duration_max'] != 0) {
			$fpm['duration'] = floor($fpm_settings['duration_max'] / 86400);
		} elseif (($_POST['fpm']['duration'] * 86400) > $fpm_settings['duration_max'] && $fpm_settings['duration_max'] == 0) {
			$fpm['duration'] = $_POST['fpm']['duration'];
		} elseif (($_POST['fpm']['duration'] * 86400) < $fpm_settings['duration_min']) {
			$fpm['duration'] = floor($fpm_settings['duration_min'] / 86400);
		}
	} elseif (isset($fpm_data['poll_end'])) {
		$fpm['duration'] = floor(($fpm_data['poll_end'] - $fpm_data['poll_start']) / 86400);
	} else { $fpm['duration'] = 0; }
	if ($fpm['duration'] < 0) { $fpm['duration'] = 0; }
	if (isset($fpm_data['poll_start']) && $fpm['reset_start'] == "") { $fpm['start'] = $fpm_data['poll_start']; }
	else { $fpm['start'] = time(); }
	$fpm['end'] = $fpm['duration'] != 0 ? ($fpm['start'] + ($fpm['duration'] * 86400)) : 0;
	$fpm_data = array();
}

function fpm_add() {
	global $locale, $fpm, $fpm_settings;

	if (FPM_ACCESS && (!isset($fpm['exists']) || $fpm['exists'] == 0)) {
		if ($fpm['question'] == "" && $fpm['add_options'] == 0 && $fpm_settings['hide_poll'] == 1) {
			echo "<input type='button' id='poll_button' name='show_poll' value='".$locale['FPM_110']."' class='button' onclick=\"fpm_toggle_poll()\">\n";
		} else {
			echo "<input type='button' id='poll_button' name='show_poll' value='".$locale['FPM_119']."' class='button' onclick=\"fpm_toggle_poll()\">\n";
		}
	}
}

function fpm_form() {
	global $locale, $fpm, $fpm_settings, $post_id;

	if (FPM_ACCESS && (!isset($fpm['exists']) || $fpm['exists'] == 0)) {
		echo "<div id='poll_form'".($fpm['question'] != "" || $fpm['add_options'] == 1 || $fpm_settings['hide_poll'] == 0 ? "" : " style='display:none'").">\n";
		tablebreak();
		echo "<table cellspacing='1' width='100%' cellpadding='3' class='tbl-border' align='center'>
<tr>
<td colspan='2' class='tbl2'>".$locale['FPM_100']."</td>
</tr>
<tr>
<td width='1%' style='white-space:nowrap; padding-right:22px;' class='tbl2'>".$locale['FPM_101']."</td>
<td class='tbl1'>
<input type='hidden' id='fpm_option_show' name='fpm[option_show]' value='".$fpm['option_show']."'>
<input type='text' id='fpm_question' name='fpm[question]' value='".$fpm['question']."' class='textbox' maxlength='200' style='width:250px'>
<input type='checkbox' id='fpm_use_subject' name='fpm[use_subject]' value='1' class='textbox'".($fpm['use_subject'] == 1 ? " checked" : "")."> ".$locale['FPM_102']."
</td>
</tr>\n";
		for($i = 1; $i < ($fpm['option_show'] + 1); $i ++) {
			echo "<tr>
<td width='1%' style='white-space:nowrap' class='tbl2'>".$locale['FPM_103'].$i."</td>
<td class='tbl1'><input type='text' id='fpm_option_$i' name='fpm[option][".$i."]' value='".$fpm['option'][$i]."' class='textbox' maxlength='200' style='width:250px'>".($i == $fpm['option_show'] && $i != $fpm_settings['option_max'] ? " <input type='submit' name='fpm[add_options]' class='button' value='".$locale['FPM_104']."' />" : "")."</td>
</tr>\n";
		}
		echo "<tr>
<td width='1%' style='white-space:nowrap' class='tbl2'>".$locale['FPM_105']."</td>
<td class='tbl1'><input type='text' id='fpm_duration' name='fpm[duration]' value='".$fpm['duration']."' class='textbox' maxlength='3' style='width:30px'> ".$locale['FPM_106']."</td>
</tr>";

	if (isset($post_id)) {
		echo "<tr>
<td valign='top' width='1%' style='white-space:nowrap' class='tbl2'>".$locale['463']."</td>
<td class='tbl1'>
<input type='checkbox' name='fpm[reset_start]' value='1' class='textbox'".($fpm['reset_start'] == 1 ? " checked" : "")."> ".$locale['FPM_120']."
<br><input type='checkbox' name='fpm[reset_votes]' value='1' class='textbox'".($fpm['reset_votes'] == 1 ? " checked" : "")."> ".$locale['FPM_121']."
</td>
</tr>";
	}

	echo "</table>
</div>\n";
	}
}

function fpm_preview() {
	global $locale, $fpm, $fpm_settings;

	if (FPM_ACCESS && (!isset($fpm['exists']) || $fpm['exists'] == 0) && $fpm['question'] != "" && $fpm['blank_options'] < ($fpm_settings['option_max'] - 1)) {
		echo "<form>
<table align='center' width='100%' cellspacing='1' cellpadding='3' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'><b>".$locale['FPM_111'].$fpm['question']."</b></td>
</tr>\n";
		for($i = 1; $i <= $fpm_settings['option_max']; $i ++) {
			if(isset($fpm['option'][$i]) && $fpm['option'][$i] != "") {
				echo "<tr>
<td class='tbl2' width='75' align='center'><input type='radio'></td>\n<td class='tbl1'>".$fpm['option'][$i]."</td>
</tr>\n";
			}
		}
		echo "<tr>
<td colspan='2' class='tbl2' align='center'>
<input type='button' value='".$locale['FPM_112']."' class='button'>
<div style='padding-top: 5px;'>".$locale['FPM_113']." ".$fpm['user_name']." | ".$locale['FPM_114'].showdate("forumdate", $fpm['start'])." | ";
		if ($fpm['end'] != 0 && $fpm['end'] <= date("U")) {
			echo $locale['FPM_115'].showdate("forumdate", $fpm['end'])." | ";
		} elseif($fpm['end'] == 0) {
			echo $locale['FPM_116']." ".$locale['FPM_117']." | ";
		} else {
			echo $locale['FPM_116'].showdate("forumdate", $fpm['end'])." | ";
		}
		echo $locale['FPM_118']."0</div>
</td>
</tr>
</table>
</form>";
		tablebreak();
	}
}

function fpm_delete() {
	global $db_prefix, $fpm;

	if (FPM_ACCESS && isset($fpm['poll_id']) && isNum($fpm['poll_id'])) {
		$result = dbquery("DELETE FROM ".$db_prefix."forum_polls WHERE poll_id='".$fpm['poll_id']."'");
		$result = dbquery("DELETE FROM ".$db_prefix."forum_poll_options WHERE poll_id='".$fpm['poll_id']."'");
		$result = dbquery("DELETE FROM ".$db_prefix."forum_poll_votes WHERE poll_id='".$fpm['poll_id']."'");
	}
}

function fpm_save($post_id) {
	global $db_prefix, $thread_id, $fpm;

	if (FPM_ACCESS) {
		if ($fpm['reset_votes'] != "" && isset($fpm['poll_id']) && isNum($fpm['poll_id'])) {
			$result = dbquery("DELETE FROM ".$db_prefix."forum_poll_votes WHERE poll_id='".$fpm['poll_id']."'");
		}
		if ($fpm['question'] == "" || $fpm['blank_options'] > ($fpm['option_show'] - 2)) {
			fpm_delete();
		} elseif ($fpm['question'] != "" && $fpm['blank_options'] < ($fpm['option_show'] - 1)) {
			if (isset($fpm['poll_id']) && isNum($fpm['poll_id'])) {
				$result = dbquery("UPDATE ".$db_prefix."forum_polls SET poll_question='".$fpm['question']."',
					poll_start='".$fpm['start']."', poll_end='".$fpm['end']."' WHERE poll_id='".$fpm['poll_id']."'"
				);
				$result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_options
					WHERE poll_id='".$fpm['poll_id']."' ORDER BY option_order"
				);
				if (dbrows($result) != 0) {
					$i = 1;
					while($data = dbarray($result)) {
						if ($i <= $fpm['option_show'] && $fpm['option'][$i] != "") {
							$result2 = dbquery("UPDATE ".$db_prefix."forum_poll_options SET option_order='$i',
								option_text='".$fpm['option'][$i]."' WHERE option_id='".$data['option_id']."'"
							);
						} else {
							$result2 = dbquery("DELETE FROM ".$db_prefix."forum_poll_options WHERE option_id='".$data['option_id']."'");
						}
						$i ++;
					}
					while ($i <= $fpm['option_show'] && $fpm['option'][$i] != "") {
						$result = dbquery("INSERT INTO ".$db_prefix."forum_poll_options (option_id, poll_id,
							option_order, option_text) VALUES (NULL, '".$fpm['poll_id']."', '$i', '".$fpm['option'][$i]."')"
						);
						$i ++;
					}
				} else {
					$x = 1;
					for($i = 1; $i <= $fpm['option_show']; $i ++) {
						if ($fpm['option'][$i] != "") {
							$result = dbquery("INSERT INTO ".$db_prefix."forum_poll_options (option_id, poll_id,
								option_order, option_text) VALUES (NULL, '".$fpm['poll_id']."', '$x', '".$fpm['option'][$i]."')"
							);
							$x ++;
						}
					}
				}
			} else {
				$result = dbquery("INSERT INTO ".$db_prefix."forum_polls (poll_id, thread_id, post_id,
					poll_question, poll_start, poll_end, poll_type, poll_status) VALUES (NULL, '$thread_id',
					'$post_id', '".$fpm['question']."', '".$fpm['start']."', '".$fpm['end']."', '0', '1')"
				);
				$fpm['poll_id'] = mysql_insert_id(); $x = 1;
				for($i = 1; $i <= $fpm['option_show']; $i ++) {
					if ($fpm['option'][$i] != "") {
						$result = dbquery("INSERT INTO ".$db_prefix."forum_poll_options (option_id, poll_id,
							option_order, option_text) VALUES (NULL, '".$fpm['poll_id']."', '$x', '".$fpm['option'][$i]."')"
						);
						$x ++;
					}
				}
			}
		}
	}
}

?>