<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../../index.php"); exit; }

if (file_exists(INFUSIONS."forum_polls/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_polls/locale/".$settings['locale'].".php";
} else { include INFUSIONS."forum_polls/locale/English.php"; }

$fpm_result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='$forum_id'");
if (dbrows($fpm_result) != 0) { $fpm_settings = dbarray($fpm_result); $fpm_settings['forum_exists'] = 1; }
else { $fpm_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."forum_poll_settings WHERE forum_id='0'")); }
if (!defined('FPM_ACCESS')) {
	if (!iMEMBER) {
		if ($fpm_settings['guest_permissions'] != 0) { define("FPM_ACCESS", true); }
	} elseif ($fpm_settings['enable_polls'] == 1 && $fpm_settings['vote_permissions'] != "") {
		$temp_array = explode(".", $fpm_settings['vote_permissions']);
		for($i = 0; $i < count($temp_array); $i ++) {
			if (isNum($temp_array[$i])) {
				if ($userdata['user_id'] == $temp_array[$i]) { define("FPM_ACCESS", true); }
			} else {
				if (checkgroup(substr($temp_array[$i], 1))) { define("FPM_ACCESS", true); }
			}
		}
	} else { define("FPM_ACCESS", false); }
	if (!defined('FPM_ACCESS')) { define("FPM_ACCESS", false); }
}
if (FPM_ACCESS) {
	$fpm = array();
	$fpm['poll_id'] = isset($_POST['fpm']['id']) && isNum($_POST['fpm']['id']) ? $_POST['fpm']['id'] : 0;
	$fpm['vote_selection'] = isset($_POST['fpm']['option']) && isNum($_POST['fpm']['option']) ? $_POST['fpm']['option'] : 0;
	$fpm['forum_id'] = isset($_GET['forum_id']) && isNum($_GET['forum_id']) ? $_GET['forum_id'] : 0;
	$fpm['thread_id'] = isset($_GET['thread_id']) && isNum($_GET['thread_id']) ? $_GET['thread_id'] : 0;
}

function fpm_poll_exists() {
	global $locale, $data;

	if (FPM_ACCESS) {
		$result = dbcount("(poll_id)", "forum_polls", "thread_id='".$data['thread_id']."'");
		$text = $result != 0 ? " <b>".$locale['FPM_200']."</b>" : "";
		return $text;
	}
}

function fpm_vote() {
	global $db_prefix, $userdata, $fpm, $fpm_settings;

	if (iMEMBER && FPM_ACCESS && $fpm['poll_id'] != 0 && $fpm['vote_selection'] != 0) {
		$vote_count = dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$fpm['poll_id']."' AND user_id='".$userdata['user_id']."'");
		if ($vote_count == 0) {
			$result = dbquery("INSERT INTO ".$db_prefix."forum_poll_votes (poll_id, user_id, vote_selection)
				VALUES ('".$fpm['poll_id']."', '".$userdata['user_id']."', '".$fpm['vote_selection']."')"
			);
		}
	}
}

function fpm_view() {
	global $db_prefix, $locale, $userdata, $forum_id, $thread_id, $fpm_settings;

	if (FPM_ACCESS) {
		$result = dbquery("SELECT t1.*, t2.post_author, t3.user_name FROM ".$db_prefix."forum_polls t1
			LEFT JOIN ".$db_prefix."posts t2 ON t1.post_id=t2.post_id
			LEFT JOIN ".$db_prefix."users t3 ON t2.post_author=t3.user_id WHERE t1.thread_id='$thread_id'"
		);
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$result = dbquery("SELECT * FROM ".$db_prefix."forum_poll_options WHERE poll_id='".$data['poll_id']."' ORDER BY option_order");
			$option_total = dbrows($result);
			if ($option_total > 1) {
				$total_votes = dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$data['poll_id']."'");
				echo "<form name='fpm_voting_form' method='POST' action='".FUSION_SELF."?forum_id=$forum_id&amp;thread_id=$thread_id'>
<table align='center' width='100%' cellspacing='1' cellpadding='3' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'>
<table align='center' width='100%' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl2'><b>".$locale['FPM_201'].$data['poll_question']."</b></td>";
				if ((isset($userdata['user_id']) && $userdata['user_id'] == $data['post_author'] && $total_votes == 0) || iMOD || iSUPERADMIN) {
					echo "<td align='right' width='1%' class='tbl2'><a href='post.php?action=edit&forum_id=$forum_id&thread_id=$thread_id&post_id=".$data['post_id']."'><img src='".THEME."forum/edit.gif' alt='".$locale['568']."' style='border:0px;'></a></td>\n";
				}
				echo "</tr>
</table>
</td>
</tr>\n";
				if (iMEMBER) {
					$vote_count = dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$data['poll_id']."' AND user_id='".$userdata['user_id']."'");
					$voted = $vote_count == 0 ? 0 : 1;
				} else { $voted = $fpm_settings['guest_permissions'] == 1 ? 0 : 1; }
				if ($data['poll_end'] != 0 && $data['poll_end'] <= date("U")) { $voted = 1; }
				while($data2 = dbarray($result)) {
					$option_votes = dbcount("(poll_id)", "forum_poll_votes", "poll_id='".$data['poll_id']."' AND vote_selection='".$data2['option_id']."'");
					if ($total_votes == 0) { $vote_results = 0; }
					else { $vote_results = round($option_votes / $total_votes * 100); }
					echo "<tr>\n<td class='tbl2' width='75' align='center'>";
					if ($voted == 0) {
						echo "<input type='radio' name='fpm[option]' value='".$data2['option_id']."'/></td>\n<td class='tbl1'>".$data2['option_text']."</td>\n</tr>\n";
					} else {
						echo "<b>".$vote_results."%</b><br>";
						if ($option_votes == 1) { echo "<small>1 ".$locale['FPM_202']."</small>"; }
						else { echo "<small>$option_votes ".$locale['FPM_203']."</small>"; }
						echo "</td>
<td class='tbl1' valign='middle'>
<small>".$data2['option_text']."</small>
<br><img src='".THEME."images/pollbar.gif' height='12' width='".$vote_results."%' class='poll' alt='".$data2['option_text']."' />
</td>
</tr>\n";
					}
				}
				echo "<tr>\n<td align='center' colspan='2' class='tbl2'>\n";
				if (!iMEMBER && $voted == 0) {
					echo "<input type='button' name='fpm_guest' value='".$locale['FPM_050']."' class='button' onClick=\"javascript:location.href='".BASEDIR."login.php'\"/>\n<div style='padding-top: 5px;'>\n";
				} elseif ($voted == 0) {
					echo "<input type='submit' name='fpm[vote]' value='".$locale['FPM_202']."' class='button' />\n<div style='padding-top: 5px;'>\n";
				}
				echo $locale['FPM_205']."<a href='".BASEDIR."profile.php?lookup=".$data['post_author']."'>".$data['user_name']."</a> | ".$locale['FPM_206'].showdate("forumdate", $data['poll_start'])." | ";
				if($data['poll_end'] != 0 && $data['poll_end'] <= date("U")) {
					echo $locale['FPM_207'].showdate("forumdate", $data['poll_end'])." | ";
				} elseif($data['poll_end'] == 0) { echo $locale['FPM_208']." ".$locale['FPM_209']." | "; }
				else { echo $locale['FPM_208'].showdate("forumdate", $data['poll_end'])." | "; }
				echo $locale['FPM_204'].$total_votes.($voted == 0 ? "\n</div>\n" : "")."
</td>
</tr>
</table>
<input type='hidden' name='fpm[id]' value='".$data['poll_id']."'>
</form>\n";
				tablebreak();
			}
		}
	}
}

?>